%define name amule
%define version 2.3.1
%define release %mkrel 3
%define oname aMule

Summary: File sharing client compatible with eDonkey
Summary(de): File-Sharing-Client kompatibel mit eDonkey
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/File transfer

Source:	http://ovh.dl.sourceforge.net/sourceforge/amule/%{oname}-%version.tar.xz
# Debian patches-------------------------------------------
Patch1: cas_configfile.c_good_default_paths.diff
Patch2: configure_ignore_gdlib-config_garbage.diff
Patch4: fallocate.diff
Patch6: use_xdg-open_as_preview_default.diff
Patch7: gcc_4.7.diff
Patch8: handle_empty_statistics_file.patch
#--------------------------------------------------------
URL: http://amule.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	gd-devel >= 2.0
BuildRequires:	curl-devel
BuildRequires:	ncurses-devel
BuildRequires:	desktop-file-utils
BuildRequires:	wxGTK2.8-devel
BuildRequires:	%{_lib}geoip-devel
BuildRequires:	%{_lib}upnp-devel >= 1.6.6
BuildRequires:	%{_lib}cryptopp6-devel 
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}gd-devel
BuildRequires:	zlib-devel
BuildRequires:	%{_lib}wxgtku2.8-devel
Conflicts: xmule < 1.6.0-2plf
Obsoletes: 	%name < %version
Requires:	binutils >= 2.20.51.0.11


%description
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer
Network.  It is a fork of xMule, whis was based on emule for
Windows. aMule currently supports (but is not limited to) the
following platforms: Linux, *BSD and MacOS X.


#german
%description -l de
aMule ist ein einfach zu bedienender Multi-Plattform-ed2k-Client für
ein Peer-to-Peer Netzwerk. Es ist ein Abbild von xMule, welches sich
auf emule für Windows stützt. aMule unterstützt derzeit (aber ist
nicht beschränkt auf) folgende Plattformen: Linux, * BSD und Mac OS X. 


%package commandline
Summary: File sharing client compatible with eDonkey
Summary(de): File-Sharing-Client kompatibel mit eDonkey
Group: Networking/File transfer
Requires: amule

%description commandline
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer
Network.  It is a fork of xMule, whis was based on emule for
Windows. aMule currently supports (but is not limited to) the
following platforms: Linux, *BSD and MacOS X.

This is the command line tool to control aMule remotely (or locally:).

#german
%description commandline -l de
aMule ist ein einfach zu bedienender Multi-Plattform-ed2k-Client für
ein Peer-to-Peer Netzwerk. Es ist ein Abbild von xMule, welches sich
auf emule für Windows stützt. aMule unterstützt derzeit (aber ist
nicht beschränkt auf) folgende Plattformen: Linux, * BSD und Mac OS X.

Das Kommandozeilen-Tool zur Steuerung der aMule remote (oder lokal:).


%package webserver
Summary: File sharing client compatible with eDonkey
Summary(de): File-Sharing-Client kompatibel mit eDonkey
Group: Networking/File transfer
Requires: amule

%description webserver
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer
Network.  It is a fork of xMule, whis was based on emule for
Windows. aMule currently supports (but is not limited to) the
following platforms: Linux, *BSD and MacOS X.

This is the webserver to control aMule remotely (or locally:).

#german
%description webserver -l de
aMule ist ein einfach zu bedienender Multi-Plattform-ed2k-Client für
ein Peer-to-Peer Netzwerk. Es ist ein Abbild von xMule, welches sich
auf emule für Windows stützt. aMule unterstützt derzeit (aber ist nicht
beschränkt auf) folgende Plattformen: Linux, * BSD und Mac OS X.

Der Webserver um aMule remote zu kontrollieren (oder lokal:). 

%prep
rm -rf %buildroot
%setup -q -n %oname-%version

%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build

%configure2_5x \
--with-wx-config=%{_bindir}/wx-config-unicode\
               --enable-amulecmd \
               --enable-amulecmdgui\
	       --enable-amule-gui \
               --enable-webserver\
               --enable-webservergui\
               --disable-gsocket\
	       --enable-cas\
	       --enable-wxcas\
 	       --enable-alc\
               --enable-alcc \
               --enable-embedded_crypto\
               --disable-debug\
               --enable-utf8-systray\
	       --enable-amule-daemon \
	       --enable-optimize \
	       --enable-geoip \
	       --disable-static \
	       --mandir=%{_mandir} \
	       --enable-xas

%make

%install


%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale/ee/LC_MESSAGES/amule.mo
%find_lang %{name}

rm -f %buildroot/%_datadir/doc/amule-%{version}/man/.cvsignore

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK;X-MandrivaLinux-Internet-FileTransfer;FileTransfer;P2P" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mv %buildroot%_bindir/ed2k %buildroot%_bindir/ed2k-%name
rm -rf %buildroot%_datadir/doc/%oname-%version
rm -f %buildroot/%{_libdir}/xchat/plugins/xas.pl

%clean
rm -rf %buildroot


%post
%{update_menus}
update-alternatives --install %{_bindir}/ed2k ed2k %{_bindir}/ed2k-%name 5

%postun
%{clean_menus}
update-alternatives --remove ed2k %{_bindir}/ed2k-%name
%files -f %{name}.lang
%defattr(-,root,root)
%doc docs/* 
%{_datadir}/applications/alc.desktop
%{_datadir}/applications/wxcas.desktop
%{_datadir}/pixmaps/alc.xpm
%{_datadir}/pixmaps/wxcas.xpm
%{_bindir}/amule
%_bindir/amulegui
%{_bindir}/autostart-xas
%{_bindir}/wxcas
%{_bindir}/cas
%{_bindir}/ed2k-amule
%{_bindir}/alc
%{_datadir}/applications/amule.desktop
%{_datadir}/applications/amulegui.desktop
%{_datadir}/pixmaps/amule.xpm
%{_datadir}/pixmaps/amulegui.xpm
%{_datadir}/cas
%{_datadir}/amule/skins/*.zip
%lang(de) %{_mandir}/de/man1/alc.1*
%lang(es) %{_mandir}/es/man1/alc.1*
%lang(hu) %{_mandir}/hu/man1/alc.1*
%{_mandir}/man1/alc.1*
%lang(de) %{_mandir}/de/man1/amule.1*
%lang(de) %{_mandir}/de/man1/amulegui.1*
%lang(de) %{_mandir}/de/man1/cas.1*
%lang(de) %{_mandir}/de/man1/ed2k.1*
%lang(de) %{_mandir}/de/man1/wxcas.1*
%lang(de) %{_mandir}/de/man1/xas.1*
%lang(es) %{_mandir}/es/man1/amule.1*
%lang(es) %{_mandir}/es/man1/amulegui.1.*
%lang(es) %{_mandir}/es/man1/cas.1*
%lang(es) %{_mandir}/es/man1/ed2k.1*
%lang(es) %{_mandir}/es/man1/wxcas.1*
%lang(es) %{_mandir}/es/man1/xas.1*
%lang(fr) %{_mandir}/fr/man1/amule.1*
%lang(fr) %{_mandir}/fr/man1/ed2k.1*
%lang(fr) %{_mandir}/fr/man1/alc.1.*
%lang(fr) %{_mandir}/fr/man1/amulegui.1.*
%lang(fr) %{_mandir}/fr/man1/cas.1.bz2
%lang(fr) %{_mandir}/fr/man1/wxcas.1.*
%lang(fr) %{_mandir}/fr/man1/xas.1.*
%lang(hu) %{_mandir}/hu/man1/amule.1*
%lang(hu) %{_mandir}/hu/man1/amulegui.1*
%lang(hu) %{_mandir}/hu/man1/cas.1*
%lang(hu) %{_mandir}/hu/man1/ed2k.1*
%lang(hu) %{_mandir}/hu/man1/wxcas.1*
%lang(hu) %{_mandir}/hu/man1/xas.1*
%lang(it) %{_mandir}/it/man1/amule.1*
%lang(it) %{_mandir}/it/man1/amulegui.1*
%lang(it) %{_mandir}/it/man1/ed2k.1*
%lang(it) %{_mandir}/it/man1/alc.1.*
%lang(it) %{_mandir}/it/man1/cas.1.*
%lang(it) %{_mandir}/it/man1/wxcas.1.*
%lang(it) %{_mandir}/it/man1/xas.1.*
%lang(ru) %{_mandir}/ru/man1/alc.1.*
%lang(ru) %{_mandir}/ru/man1/amule.1.*
%lang(ru) %{_mandir}/ru/man1/amulegui.1.*
%lang(ru) %{_mandir}/ru/man1/cas.1.*
%lang(ru) %{_mandir}/ru/man1/ed2k.1.*
%lang(ru) %{_mandir}/ru/man1/wxcas.1.*
%lang(ru) %{_mandir}/ru/man1/xas.1.*
%lang(tr) %{_mandir}/tr/man1/alc.1.*
%lang(tr) %{_mandir}/tr/man1/amule.1.*
%lang(tr) %{_mandir}/tr/man1/amulegui.1.*
%lang(tr) %{_mandir}/tr/man1/cas.1.*
%lang(tr) %{_mandir}/tr/man1/ed2k.1.*
%lang(tr) %{_mandir}/tr/man1/wxcas.1.*
%lang(tr) %{_mandir}/tr/man1/xas.1.*
%{_mandir}/man1/amule.1*
%{_mandir}/man1/cas.1*
%{_mandir}/man1/ed2k.1*
%{_mandir}/man1/wxcas.1*
%{_mandir}/man1/xas.1*
%{_mandir}/man1/amulegui.1*


%files commandline
%defattr(-,root,root)
%doc docs/README
%{_bindir}/%{name}cmd
%{_bindir}/alcc
%_bindir/amuled
%lang(de) %{_mandir}/de/man1/alcc.1*
%lang(es) %{_mandir}/es/man1/alcc.1*
%lang(fr) %{_mandir}/fr/man1/alcc.1*
%lang(it) %{_mandir}/it/man1/alcc.1.*
%lang(ru) %{_mandir}/ru/man1/alcc.1.*
%lang(tr) %{_mandir}/tr/man1/alcc.1.*
%{_mandir}/man1/alcc.1*
%lang(hu) %{_mandir}/hu/man1/alcc.1*
%lang(de) %{_mandir}/de/man1/amulecmd.1*
%lang(es) %{_mandir}/es/man1/amulecmd.1*
%lang(fr) %{_mandir}/fr/man1/amulecmd.1*
%lang(hu) %{_mandir}/hu/man1/amulecmd.1*
%lang(it) %{_mandir}/it/man1/amulecmd.1*
%lang(ru) %{_mandir}/ru/man1/amulecmd.1.*
%lang(tr) %{_mandir}/tr/man1/amulecmd.1.*
%{_mandir}/man1/amulecmd.1*
%lang(de) %{_mandir}/de/man1/amuled.1*
%lang(es) %{_mandir}/es/man1/amuled.1*
%lang(fr) %{_mandir}/fr/man1/amuled.1*
%lang(hu) %{_mandir}/hu/man1/amuled.1*
%lang(it) %{_mandir}/it/man1/amuled.1*
%lang(ru) %{_mandir}/ru/man1/amuled.1.*
%lang(tr) %{_mandir}/tr/man1/amuled.1.*
%{_mandir}/man1/amuled.1*

%files webserver
%defattr(-,root,root)
%doc docs/README
%{_bindir}/%{name}web
%{_datadir}/amule/webserver/*
%lang(de) %{_mandir}/de/man1/amuleweb.1*
%lang(es) %{_mandir}/es/man1/amuleweb.1*
%lang(fr) %{_mandir}/fr/man1/amuleweb.1*
%lang(hu) %{_mandir}/hu/man1/amuleweb.1*
%lang(it) %{_mandir}/it/man1/amuleweb.1*
%lang(ru) %{_mandir}/ru/man1/amuleweb.1.*
%lang(tr) %{_mandir}/tr/man1/amuleweb.1.*
%{_mandir}/man1/amuleweb.1*

%changelog
* Thu Sep 11 2014 bb <bb> 2.3.1-3pclos2014
- dont get your panties in a wad lets 
- rebuild it against current libs
- add patches from debian stable

* Thu Jan 31 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 2.3.1-1pclos2013
- 2.3.1
- fixed patch 1
- removed patch5 (fixed in source), commented patch 3,7,8,9
- added BR %{_lib}wxgtku2.8-devel
- removed eu lang in main, server and cmd package

